/* AI Generated Code */
html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow: hidden;
    background-color: #2B2B2B;
}

.image-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.image-container img {
    display: block;
    max-width: 98%;
}
.image-container img:first-child {
    position: relative;
    z-index: 1;
}
.image-container img:last-child {
    position: absolute;
    z-index: 2;
    -webkit-mask-image: url(<?php echo $random_mask; ?>);
    mask-image: url(<?php echo $random_mask; ?>);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-position: center; /* For Safari */
    mask-size: contain;
    -webkit-mask-size: contain;/* For Safari */
}

/* SJ Generated Code */
.hide-me {
    display: none !important;
}

.preview-art {
    min-height: 12%;
    aspect-ratio: 1 /1;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #AEAEAE;
    z-index: 9999;
    overflow: hidden;
    max-height: 100%;
    margin-left: 0.75em;
    margin-top: 0.75em;
    border: 4px solid #DEDEDE;
    border-radius: 5px;
}

.preview-art img {
    position: absolute;
    max-height: 150%;
    top: -30%;
    left: -30%;
}

.preview-mask {
    min-height: 12%;
    aspect-ratio: 1 /1;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #AEAEAE;
    z-index: 9999;
    margin-right: 0.75em;
    margin-top: 0.75em;
    border: 4px solid #DEDEDE;
    border-radius: 5px;
}

.share {
    min-height: 5%;
    min-width: 20%;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #AEAEAE;
    z-index: 9999;
    overflow: hidden;
}

.logo {
    min-width: 7%;
    aspect-ratio: 1 / 1;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 9999;
    overflow: hidden;
    margin-left: 1.125em;
    margin-bottom: 1.125em;
}

.xlogo {
    min-height: 5%;
    max-width: 10%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 9999;
    right: 0;
    margin: 0 auto;
    overflow: hidden;
    margin-top: 1em;
}

.music {
    min-height: 5%;
    max-width: 20%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 9999;
    right: 0;
    margin: 0 auto;
    overflow: hidden;
}

.controls {
    min-height: 5%;
    max-width: 50%;
    position: absolute;
    top: 0.5rem;
    left: 0;
    z-index: 9999;
    right: 0;
    margin: 0 auto;
    text-align: center;
    color: #F6F6F6;
    font-family: monospace,sans-serif;
    font-size: 14px;
}

.info {
    min-width: 3%;
    aspect-ratio: 1 / 1;
    position: absolute;
    bottom: 5rem;
    right: 0;
    z-index: 9999;
    overflow: hidden;
    /* padding-right: 1.125em;
    padding-bottom: 1.125em; */
}

.save-me {
    min-width: 3%;
    aspect-ratio: 1 / 1;
    position: absolute;
    bottom: 5rem;
    left: 0;
    z-index: 9999;
    overflow: hidden;
    /* padding-right: 1.125em;
    padding-bottom: 1.125em; */
}

.remash {
    min-width: 3%;
    aspect-ratio: 1 / 1;
    position: absolute;
    bottom: 5rem;
    left: 0;
    z-index: 9999;
    overflow: hidden;
    /* padding-right: 1.125em;
    padding-bottom: 1.125em; */
}

.splash {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #2B2B2B;
    color: #F6F6F6;
    font-family: sans-serif;
    text-align: center;
    z-index: 9999;
}

.splash__title {
    font-size: 2.5rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

.splash__text {
    font-size: 1rem;
    max-width: 535px;
}

.Xnext {
    max-height: 25%;
    min-width: 5%;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 9999;
    bottom: 0;
    margin: auto 0;
}

.next {
    min-width: 3%;
    aspect-ratio: 1 / 1;
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 9999;
    overflow: hidden;
    padding-right: 1.125em;
    padding-bottom: 1.125em;
}

@keyframes rotate {
    from {transform: rotate(0deg)}
    to {transform: rotate(360deg)}
}

@keyframes rotate-anti {
    from {transform: rotate(50deg)}
    to {transform: rotate(-310deg)}
}

.refresh-start {
    animation-name: rotate;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-play-state: running;
}

.timer-start {
    animation-name: rotate-anti;
    animation-duration: 7s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-play-state: running;
}

.filename {
    z-index: 9999;
    position: absolute;
    margin: 0.25em;
    font-family: monospace, sans-serif;
    color: #F6F6F6;
    font-size: 1.25rem;
    background-color: #0B0B0B;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    color: transparent;
    text-shadow: rgba(245,245,245,0.5) 1px 2px 1px;
}

.image-container img:last-child.active {
    -webkit-mask-composite: destination-out;
    mask-composite: destination-out;
}

.toggle-switch {
    display: inline-block;
    position: relative;
    width: 60px;
    height: 34px;
    margin: 10px;
}
.toggle-switch input[type="checkbox"] {
    display: none;
}
.toggle-switch label {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 34px;
    background-color: #AEAEAE;
    cursor: pointer;
    transition: all 0.3s ease;
}
.toggle-switch label:before {
    content: "";
    display: block;
    position: absolute;
    top: 2px;
    left: 2px;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: white;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
}
.toggle-switch input[type="checkbox"]:checked + label {
    background-color: #CC2727;
}
.toggle-switch input[type="checkbox"]:checked + label:before {
    transform: translateX(26px);
}

.menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #0B0B0B;
  border-top: 1px solid #333;
  padding: 10px;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 9999;
}
.menu__button-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: 600px;
  margin: 0 auto;
}
.menu__button {
  background-color: transparent;
  border: none;
  cursor: pointer;
  margin: 0 5px;
  padding: 5px;
  font-size: 1.8rem;
  font-weight: bold;
  color: #fff;
  text-transform: uppercase;
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}
.menu__button:hover {
  background-color: #333;
  border-radius: 20px;
}

.home-show {
    display: none; 
}

/* Media Queries */
@media screen and (max-width: 600px) {
  .menu__button {
    font-size: 0;
    margin: 5px;
    padding: 4px;
    border-radius: 50%;
  }
  .menu__button i {
    font-size: 24px;
  }
}

.fa .fas {
    font-size: 1.8rem;
}

.links {
    min-height: 5%;
    max-width: 90%;
    position: absolute;
    top: 2rem;
    left: 0;
    z-index: 9999;
    right: 0;
    margin: 0 auto;
    text-align: center;
    color: #F6F6F6;
    font-family: monospace,sans-serif;
    font-size: 14px;
}
/* unvisited link */
a:link {
  color: #CC2727;
}

/* visited link */
a:visited {
  color: #AEAEAE;
}

/* mouse over link */
a:hover {
  color: #F6F6F6;
}

/* selected link */
a:active {
  color: yellow;
}

@media screen and (max-width: 767px) { /* Mobile */
    .links {
        bottom: 6rem !important;
        top: auto !important;
    }
}